> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/speech/get-speech-credential/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # get a specific speech credential GET https://api.jambonz.cloud/v1/ServiceProviders/{ServiceProviderSid}/SpeechCredentials/{SpeechCredentialSid} This endpoint is only availble with an Admin or Service Provider API key Reference: https://docs.jambonz.org/reference/rest-platform-management/speech/get-speech-credential-by-account ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `ServiceProviderSid` (string, required) - `SpeechCredentialSid` (string, required) ## Response ### 200 retrieve speech credentials for a specified account - `speech_credential_sid` (string, optional) - `account_sid` (string, optional) - `vendor` (enum, optional) - Allowed values: `google`, `aws` - `service_key` (string, optional) - `access_key_id` (string, optional) - `secret_access_key` (string, optional) - `aws_region` (string, optional) - `last_used` (string, optional) - `last_tested` (string, optional) - `use_for_tts` (boolean, optional) - `use_for_stt` (boolean, optional) - `tts_tested_ok` (boolean, optional) - `stt_tested_ok` (boolean, optional) - `riva_server_uri` (string, optional) ## Errors ### 404 Not Found Error credential not found - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "account_sid": "1c2b3a4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d", "vendor": "google", "service_key": "{\n \"type\": \"service_account\",\n \"project_id\": \"jambonz-voice\",\n \"private_key_id\": \"abcdef1234567890abcdef1234567890abcdef12\",\n \"private_key\": \"-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASC...\\n-----END PRIVATE KEY-----\\n\",\n \"client_email\": \"jambonz@jambonz-voice.iam.gserviceaccount.com\",\n \"client_id\": \"123456789012345678901\",\n \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",\n \"token_uri\": \"https://oauth2.googleapis.com/token\",\n \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\",\n \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/jambonz%40jambonz-voice.iam.gserviceaccount.com\"\n}", "access_key_id": "", "secret_access_key": "", "aws_region": "", "last_used": "2024-01-15T09:30:00Z", "last_tested": "2024-01-15T09:30:00Z", "use_for_tts": true, "use_for_stt": true, "tts_tested_ok": true, "stt_tested_ok": true, "riva_server_uri": "" } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials/SpeechCredentialSid")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```